
From: Gerd Knorr <kraxel@bytesex.org>

zoran_num_formats was referenced from two other files as extern, but was used
in none of them.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/zoran_card.c   |    1 -
 25-akpm/drivers/media/video/zoran_device.c |    1 -
 25-akpm/drivers/media/video/zoran_driver.c |    2 +-
 3 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/media/video/zoran_card.c~zoran_driverc-make-zoran_num_formats-static drivers/media/video/zoran_card.c
--- 25/drivers/media/video/zoran_card.c~zoran_driverc-make-zoran_num_formats-static	Fri Nov 19 15:23:40 2004
+++ 25-akpm/drivers/media/video/zoran_card.c	Fri Nov 19 15:23:40 2004
@@ -58,7 +58,6 @@
 #define I2C_NAME(x) (x)->name
 
 extern const struct zoran_format zoran_formats[];
-extern const int zoran_num_formats;
 
 static int card[BUZ_MAX] = { -1, -1, -1, -1 };
 MODULE_PARM(card, "1-" __stringify(BUZ_MAX) "i");
diff -puN drivers/media/video/zoran_device.c~zoran_driverc-make-zoran_num_formats-static drivers/media/video/zoran_device.c
--- 25/drivers/media/video/zoran_device.c~zoran_driverc-make-zoran_num_formats-static	Fri Nov 19 15:23:40 2004
+++ 25-akpm/drivers/media/video/zoran_device.c	Fri Nov 19 15:23:40 2004
@@ -57,7 +57,6 @@
 		   ZR36057_ISR_JPEGRepIRQ )
 
 extern const struct zoran_format zoran_formats[];
-extern const int zoran_num_formats;
 
 extern int *zr_debug;
 
diff -puN drivers/media/video/zoran_driver.c~zoran_driverc-make-zoran_num_formats-static drivers/media/video/zoran_driver.c
--- 25/drivers/media/video/zoran_driver.c~zoran_driverc-make-zoran_num_formats-static	Fri Nov 19 15:23:40 2004
+++ 25-akpm/drivers/media/video/zoran_driver.c	Fri Nov 19 15:23:40 2004
@@ -176,7 +176,7 @@ const struct zoran_format zoran_formats[
 			 ZORAN_FORMAT_COMPRESSED,
 	}
 };
-const int zoran_num_formats =
+static const int zoran_num_formats =
     (sizeof(zoran_formats) / sizeof(struct zoran_format));
 
 // RJ: Test only - want to test BUZ_USE_HIMEM even when CONFIG_BIGPHYS_AREA is defined
_
